> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# List Slots

> Retrieve all slots for a specific organization.



## OpenAPI

````yaml /endpoints/openapi.json get /v1/organizations/{organization}/slots
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/slots:
    get:
      tags:
        - Slots
      summary: List Slots
      description: Retrieve all slots for a specific organization.
      operationId: partner.slots.index
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            Available includes are `division`, `location`, `schedule`, `rates`,
            `tags`, `entries`. You can include multiple options by separating
            them with a comma.
          schema:
            type: string
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 30
        - name: page[cursor]
          in: query
          description: The cursor to start the pagination from.
          schema:
            type: string
        - name: filter[division_id]
          in: query
          description: Filter by division ID.
          schema:
            type: string
            examples:
              - 310476121357873150
        - name: filter[date]
          in: query
          description: Filter by date.
          schema:
            type: string
            examples:
              - '2025-06-26'
        - name: filter[state]
          in: query
          description: Filter by state.
          schema:
            type: string
            examples:
              - active
      responses:
        '200':
          description: Paginated set of `SlotResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Slot'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      next_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the next set of items.
                      prev_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the previous set of items.
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/Division'
                        - $ref: '#/components/schemas/Location'
                        - $ref: '#/components/schemas/Schedule'
                        - $ref: '#/components/schemas/Rate'
                        - $ref: '#/components/schemas/Tag'
                        - $ref: '#/components/schemas/Entry'
                required:
                  - data
                  - links
                  - meta
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Slot:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - slots
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the slot.
              examples:
                - '310476121357873156'
            date_time:
              type: string
              description: Date and time of the slot in ISO 8601 format.
              examples:
                - '2025-05-01T06:00:00-04:00'
            state:
              $ref: '#/components/schemas/SlotState'
              description: State of the slot.
            remaining_capacity:
              type:
                - integer
                - 'null'
              description: Number of free spots (`null` means there's no limit).
          required:
            - id
            - date_time
            - state
            - remaining_capacity
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            location:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/LocationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            schedule:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ScheduleResourceIdentifier'
                    - type: 'null'
              required:
                - data
            rates:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/SlotRateResourceIdentifier'
              required:
                - data
            tags:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/TagResourceIdentifier'
              required:
                - data
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EntryResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: Slot
    Division:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - divisions
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the division.
              examples:
                - '310476121357873158'
            name:
              type: string
              description: Name of the division.
              examples:
                - Golf
            industry:
              $ref: '#/components/schemas/DivisionIndustry'
              description: Industry of the division.
          required:
            - id
            - name
            - industry
      required:
        - id
        - type
      title: Division
    Location:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - locations
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the location.
              examples:
                - '310476121357873153'
            name:
              type: string
              description: Name of the location.
              examples:
                - Sunset Golf Club
          required:
            - id
            - name
      required:
        - id
        - type
      title: Location
    Schedule:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - schedules
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the schedule.
              examples:
                - '310476121357873156'
            name:
              type: string
              description: Name of the schedule.
              examples:
                - Summer 2025
            start_date:
              type: string
              description: Start date of the schedule.
              examples:
                - '2025-05-01'
            end_date:
              type: string
              description: End date of the schedule.
              examples:
                - '2025-09-30'
            type:
              type: string
              description: Type of the schedule.
              enum:
                - regular
                - event
          required:
            - id
            - name
            - start_date
            - end_date
            - type
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Schedule
    Rate:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - rates
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the rate.
              examples:
                - '310476121357873154'
            offering_type:
              type: string
              description: Type of offering.
              enum:
                - ticket
                - bundle
            offering_id:
              type: string
              description: ID of the offering.
              examples:
                - '310476121357873155'
            offering_name:
              type: string
              description: Name of the offering.
              examples:
                - Green Fee
            price:
              type: integer
              description: Price for this rate, in cents.
              examples:
                - 4500
            partner_price:
              type:
                - integer
                - 'null'
              description: >-
                Partner price for this rate, in cents. This will take precedence
                over `price` if set.
              examples:
                - 4000
          required:
            - id
            - offering_type
            - offering_id
            - offering_name
            - price
            - partner_price
      required:
        - id
        - type
      title: Rate
    Tag:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - tags
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the tag.
              examples:
                - '310476121357873157'
            name:
              type: string
              description: Name of the tag.
              examples:
                - 1A
          required:
            - id
            - name
      required:
        - id
        - type
      title: Tag
    Entry:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - entries
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the entry.
              examples:
                - '310476121357873159'
            parent_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the parent entry if this entry is part of a bundle or a
                ticket series.
              examples:
                - '310476121357873160'
            code:
              type: string
              description: Unique code of the entry.
              examples:
                - ABC123
            state:
              $ref: '#/components/schemas/EntryState'
              description: The current state of the entry.
            first_name:
              type:
                - string
                - 'null'
              description: First name of the attendee for this entry.
              examples:
                - John
            last_name:
              type:
                - string
                - 'null'
              description: Last name of the attendee for this entry.
              examples:
                - Doe
            offering_type:
              type: string
              description: Type of offering.
              enum:
                - ticket
                - bundle
            offering_id:
              type: string
              description: ID of the offering.
              examples:
                - '310476121357873155'
            offering_name:
              type: string
              description: Name of the offering.
              examples:
                - Green Fee
            price:
              type:
                - integer
                - 'null'
              description: >-
                Price for this entry, in cents (`null` if part of a bundle or a
                ticket series).
              examples:
                - 5000
            created_at:
              type: string
              description: Timestamp when the entry was created.
              examples:
                - '2025-01-15T10:30:00Z'
            updated_at:
              type: string
              description: Timestamp when the entry was last updated.
              examples:
                - '2025-01-15T14:30:00Z'
          required:
            - id
            - parent_id
            - code
            - state
            - first_name
            - last_name
            - offering_type
            - offering_id
            - offering_name
            - price
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            slot:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/SlotResourceIdentifier'
                    - type: 'null'
              required:
                - data
            reservation:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ReservationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            membership:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/MembershipResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Entry
    SlotState:
      type: string
      enum:
        - active
        - locked
        - hidden
      title: SlotState
    DivisionResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - divisions
        id:
          type: string
      required:
        - type
        - id
      title: DivisionResourceIdentifier
    LocationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - locations
        id:
          type: string
      required:
        - type
        - id
      title: LocationResourceIdentifier
    ScheduleResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - schedules
        id:
          type: string
      required:
        - type
        - id
      title: ScheduleResourceIdentifier
    SlotRateResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - rates
        id:
          type: string
      required:
        - type
        - id
      title: SlotRateResourceIdentifier
    TagResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - tags
        id:
          type: string
      required:
        - type
        - id
      title: TagResourceIdentifier
    EntryResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - entries
        id:
          type: string
      required:
        - type
        - id
      title: EntryResourceIdentifier
    DivisionIndustry:
      type: string
      enum:
        - golf
        - indoorGolf
        - snowTubing
        - curling
        - eventManagement
        - other
      title: DivisionIndustry
    EntryState:
      type: string
      enum:
        - canceled
        - checkedIn
        - confirmed
        - invalid
        - late
        - noShow
        - pending
      title: EntryState
    SlotResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - slots
        id:
          type: string
      required:
        - type
        - id
      title: SlotResourceIdentifier
    ReservationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - reservations
        id:
          type: string
      required:
        - type
        - id
      title: ReservationResourceIdentifier
    MembershipResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - memberships
        id:
          type: string
      required:
        - type
        - id
      title: MembershipResourceIdentifier
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````